  <div class="card   ">
    <div class="card-header">
      <i class="fas fa-car text-white"></i> <span >{{title}}</span>

    </div>
    <div class="card-body">
      <div class="row">
        <div class="col-sm-2 mb-1 ">
          <button class=" btn bCSO" (click)="openModal( 'Crear', null )" >
            <span class = "fa fa-plus-circle "></span> <span > AGREGAR</span></button>
        </div>
        <div class="col-sm-5 offset-sm-5 ">

          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" ><i class="fa fa-search" ></i></span>
            </div>
            <input class="form-control" type="text" placeholder="Buscar en la tabla" (input)="dt.filterGlobal($event.target.value, 'contains')"  pInputText pTooltip="Buscar en la tabla" tooltipPosition="bottom">
          </div>
        </div>
        <div class="col-sm-12">
          <p-table  class="table cell-border hover" #dt [value]="ticketArray" [paginator]="true" [rows]="10"
                    [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                    [globalFilterFields]="['id','origen','operacion','destino','transportista','auxiliares','placa','tipoTransporte']" [responsive]="true">

            <ng-template pTemplate="header">
              <tr class="text-center">
                <th class="{{c.class}}" *ngFor="let c of loadTable" >
                  {{c.header}}
                </th>
                <th  class="w-50">Acción</th>

              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-c>
              <tr  class="text-center">
                <td><span class="ui-column-title">Numero</span>{{c.id}}</td>
                <td><span class="ui-column-title">Origen</span>{{c.origen}} </td>
                <td><span class="ui-column-title">Operacion</span>{{c.operacion}} </td>
                <td><span class="ui-column-title">Destino</span>{{c.destino}} </td>
                <td><span class="ui-column-title">Planta</span>{{c.origen}} </td>
                <td><span class="ui-column-title">Dependencia</span>{{c.nombreSubdependencia}} </td>
                <td><span class="ui-column-title">Muelle</span>{{c.muelle}} </td>
                <td><span class="ui-column-title">Transportista</span>{{c.transportista}} </td>
                <td><span class="ui-column-title">Placa</span>{{c.placa}} </td>
                <td><span class="ui-column-title">Tipo</span>{{c.tipoTransporte}} </td>

                <td>
                  <p-accordion >
                    <p-accordionTab  >
                      <button *ngIf="c.remisiones === '1'" (click)="openModalRemision( 'Remisión', c.id , c.idOperacion)" class=" btn bCSC" >
                        <span class = "fa fa-sticky-note "></span> <span > REMISIÓN</span></button>

                      <button (click)="openModalFase2( 'Fase2', c.id , c.remisiones, c.idOperacion, c.tieneSello, c.tipoOperacion )"  class=" btn bCSC" >
                        <span class = "fa fa-clipboard-list "></span> <span > FASE 2</span></button>

                      <button (click)="openModal( 'Editar', c.id )"  class=" btn bCSC" >
                        <span class = "fa fa-edit "></span> <span > EDITAR</span></button>

                      <button (click)="eliminar( c.id )"  class=" btn bCSC" >
                        <span class = "fa fa-trash-alt "></span> <span > ELIMINAR</span></button>


                      <button *ngIf="c.cerrarTicket === 'S'" (click)="cerrar( c.id )"  class=" btn bCSC" >
                        <span class = "fa fa-window-close "></span> <span > CERRAR TICKET</span></button>

                    </p-accordionTab>
                  </p-accordion>
                </td>
              </tr>
            </ng-template>
          </p-table>
        </div>
      </div>
    </div>
  </div>
